org.apache.nutch.webui.client.model

## Class JobConfig

- java.lang.Object
- - org.apache.nutch.webui.client.model.JobConfig

- All Implemented Interfaces:
    java.io.Serializable

      public class JobConfig
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `getArgs()`
    `java.lang.String` | `getConfId()`
    `java.lang.String` | `getCrawlId()`
    `java.lang.String` | `getJobClassName()`
    `JobInfo.JobType` | `getType()`
    `void` | `setArgs(java.util.Map<java.lang.String,java.lang.Object> args)`
    `void` | `setArgument(java.lang.String key, java.lang.String value)`
    `void` | `setConfId(java.lang.String confId)`
    `void` | `setCrawlId(java.lang.String crawlId)`
    `void` | `setJobClassName(java.lang.String jobClass)`
    `void` | `setType(JobInfo.JobType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobConfig

          public JobConfig()

  - ### Method Detail

    - #### setArgument

          public void setArgument(java.lang.String key,
                                  java.lang.String value)

    - #### getCrawlId

          public java.lang.String getCrawlId()

    - #### setCrawlId

          public void setCrawlId(java.lang.String crawlId)

    - #### getType

          public JobInfo.JobType getType()

    - #### setType

          public void setType(JobInfo.JobType type)

    - #### getConfId

          public java.lang.String getConfId()

    - #### setConfId

          public void setConfId(java.lang.String confId)

    - #### getArgs

          public java.util.Map<java.lang.String,java.lang.Object> getArgs()

    - #### setArgs

          public void setArgs(java.util.Map<java.lang.String,java.lang.Object> args)

    - #### getJobClassName

          public java.lang.String getJobClassName()

    - #### setJobClassName

          public void setJobClassName(java.lang.String jobClass)

Copyright © 2019 The Apache Software Foundation